Subject: Re: git bash

From: Massimo Manca <[email-masked]>
Date: Fri, 17 Jun 2011 17:07:44 +0200

Il 17/06/2011 16.39, Dirk Süsserott ha scritto:
> Am 17.06.2011 16:18 schrieb Carlos Martín Nieto:
>> On Fri, Jun 17, 2011 at 03:52:55PM +0200, Massimo Manca wrote:
>>> Hi all,
>>> I am using git on Linux Ubuntu, Windows Vista, , Windows 7 and Windows
>>> XP (several o.s. to develop sw).
>>> In my notebook under Vista if I use bash on mi physical HD (it is
>>> divided in C:, F:, H:) it works, if I try to open a bash console on an
>> Assuming you mean that git doesn't work (rather than bash), could you
>> provide a transcript of what you think went wrong?
>>
>>> external HD (or USB or SD memories) and also on network shared drives it
>>> doesn't work.
>> Are these filsystems FAT32 by any chance. You may need to turn on a
>> couple of compatibility options like case-insensitivity and filemode.
> But when using msysGit, these options are already set appropriate,
> aren't they?
Yes they are.
> Sometimes I have a similar problem. What do you mean by "opening a bash
> console on an external HD"?
Yes, it is more user friendly.
>  Do you right-click a folder and then "Git
> bash (here)"? I don't use that feature but I always start the bash with
> its regular icon (so my answer may probably not help you).  It then
> starts in my $HOME and I change to the external HD (say X:) like so:
>
> $ cd /x/foo
Opening a bash shell from the icon and then changing the working
folder.... it works :)
Very strange bug.
> I noticed the following: When the ext. HD is attached/mounted *before* I
> start the bash, then it works. But if I have a running bash and then
> mount the drive, I cannot cd to it. "No such path" or sth. It seems,
> that bash builds a list of available drives only at startup. Might that
> be your problem? If so, then close all bashs and re-open them after
> mounting the devices.
>
In my situation the external HD (an SD card) it is always on.
> HTH,
> Dirk